//**************************************************
// GLOBAL CONSTANTS
//**************************************************
var labels

function toggle_nav_box(toggle_control, nav_box_id, type){
  Element.toggle(nav_box_id);
  var displayed = $(nav_box_id).style.display == 'none' ? '' : 'true';
  if ($(nav_box_id).style.display == '') {
    Element.removeClassName(toggle_control, 'toggle-hidden') 
    //toggle_search_show_hidde(nav_box_id,"abre");
  } else {
    Element.addClassName(toggle_control, 'toggle-hidden');
    //toggle_search_show_hidde(nav_box_id,"cierra");
  }
  new Ajax.Request('/user/update', {parameters: 'user[show_'+type+'_navbox]=' + displayed});
}

// Esta función era pal webeo de los pin pero no funco
function toggle_search_show_hidde(nav_box_id,tipo){
	string = document.getElementById('labels_menu').value;
	if (string.search(nav_box_id) >= 0)
		string = string.replace("#"+nav_box_id, "");
	else{
		if (tipo != "cierra")
			string = "#"+nav_box_id+string;
	}
	document.getElementById('labels_menu').value = string;
}


function hideSidebars(){
  cambiar_panel('menu_izquierdo');
  Element.addClassName(document.body, 'hide-sidebars');
}

function showSidebars(){
  cambiar_panel('menu_izquierdo');
  Element.removeClassName(document.body, 'hide-sidebars');
}

function toggleSidebars(){
  if(Element.hasClassName(document.body, 'hide-sidebars')) showSidebars();
  else hideSidebars();
}

function hideTips(){
  mostrar_ocultar_tips(0);
  Element.addClassName(document.body, 'hide-tips');
}

function mostrar_ocultar_tips(valor){
	array = document.getElementsByName("tips");
	for (i=0;i<array.length;i++){
		show_hide(array[i].id,valor);
	}
}

function showTips(){
  mostrar_ocultar_tips(1);
  Element.removeClassName(document.body, 'hide-tips');
}

function toggleTips(){
  if(Element.hasClassName(document.body, 'hide-tips')) showTips();
  else hideTips();
}
